<?php
session_start();

$nivel_necessario = 6;

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ( $_SESSION['UsuarioNivel'] > $nivel_necessario)) {
	// Destrói a sessão por segurança
	session_destroy();
	// Redireciona o visitante de volta pro login
	header("Location: index.php");
	exit;
}

require_once("db.php");


if (!empty($_POST['filtro'])) {
	$filtro = $_POST['filtro'];
}

if (!empty($_POST['end'])) {
	$end_edit = $_POST['end'];
	$start_edit = $_POST['start'];
}

// Recuperamos a ação enviada pelo formulário

if (!empty($_POST['a']) && $_POST['a'] == 'pesquisar') {
	
    $filtro = trim($_POST['filtro']);
    $start = fConvData($_POST['start']);
    $end = fConvData($_POST['end']);
	$sqlConcat = "";	

    if ($_SESSION['UsuarioNivel'] == 1) {	
	
		if ($filtro) {
			$sqlConcat = "AND b.id_apoio = '$filtro'";
		}
        
		$sql = "SELECT a.id_acumulados_pagos, a.idTablet, a.data_pago, a.valor_pago, a.ativo
					FROM acumulados_pagos a
					INNER JOIN tablet b on b.idprod = a.idTablet
					WHERE
					a.ativo = 1
					AND a.data_pago BETWEEN '$start 00:00:01' AND '$end 23:59:59'
					$sqlConcat";

        $result = mysql_query($sql) or die(mysql_error());
		
    } elseif ($_SESSION['UsuarioNivel'] == 3 || $_SESSION['UsuarioNivel'] == 4) {
        
		if ($filtro) {
			$sqlConcat = "AND a.idTablet = '$filtro'";
		}
		
		$sql = "SELECT a.id_acumulados_pagos, a.idTablet, a.data_pago, a.valor_pago, a.ativo
				FROM acumulados_pagos a
				INNER JOIN tablet b on b.idprod = a.idTablet
				WHERE
				a.ativo = 1
				AND a.data_pago BETWEEN '$start 00:00:01' AND '$end 23:59:59'
				AND b.id_apoio = '$_SESSION[UsuarioID]'
				$sqlConcat";
        
        $result = mysql_query($sql) or die(mysql_error());
		
    }  elseif ($_SESSION['UsuarioNivel'] == 6) {
        
		if ($filtro) {
			$sqlConcat = "AND a.idTablet = '$filtro'";
		}
		
		// $sql = "SELECT a.id_acumulados_pagos, a.idTablet, a.data_pago, a.valor_pago, a.ativo
				// FROM acumulados_pagos a
				// INNER JOIN tablet b on b.idprod = a.idTablet
				// WHERE
				// a.ativo = 1
				// AND a.data_pago BETWEEN '$start 00:00:01' AND '$end 23:59:59'
				// AND b.id_apoio = '$_SESSION[UsuarioID]'
				// $sqlConcat";
				
		$sql = "SELECT a.id_acumulados_pagos, a.idTablet, a.data_pago, a.valor_pago, a.ativo
		FROM acumulados_pagos a
		INNER JOIN tablet b ON b.idprod = a.idTablet
		INNER JOIN ponto c on c.id = b.id_ponto
		INNER JOIN user d on d.id_apoio = c.id
		WHERE 
		a.ativo = 1 
		AND a.data_pago BETWEEN '$start 00:00:01' AND '$end 23:59:59'
		AND d.id = '$_SESSION[UsuarioID]'
		$sqlConcat";
        
        $result = mysql_query($sql) or die(mysql_error());
		
    } 

    $totalentrada = 0;
    $totalsaida = 0;
    $totalsaldo = 0;

    $numRegistros = mysql_num_rows($result);
    ?>

	<div class="panel-body">

		<?php 
		if ($numRegistros > 0) { ?>

			<div class="table-responsive">
				<table class="table table-condensed">

					<thead>
						<tr>
							<td><strong>ID</strong></td>
							<td class="text-center"><strong>Tablet</strong></td>
							<td class="text-center"><strong>Data Pagamento</strong></td>
							<td class="text-center"><strong>Valor Pago</strong></td>
						</tr>
					</thead>
					<tbody>

						<?php
						while ($row = mysql_fetch_array($result)) {
					   
								$totalentrada += $row['valor_pago'];
		
								?>
								<tr>
									<td><?php echo $row['id_acumulados_pagos'] ?></td>
									<td class="text-center"><?php echo $row['idTablet'] ?></td>
									<td class="text-center"><?php echo fConvData($row['data_pago']) ?></td>
									<td class="text-center"><?php echo $_SESSION['cifraoMoeda']." ".$row['valor_pago'] ?></td>
								</tr>
						<?php 
						} ?>

						<tr>
							<td class="emptyrow"></td>
							<td class="emptyrow"></td>
							<td class="emptyrow"></td>
							<td class="emptyrow"></td>
						</tr>

						<tr>
							<td class="highrow"></td>
							<td class="highrow"></td>
							<td class="highrow"></td>
							<td class="highrow"></td>
						</tr>
						<tr>
							<td class="emptyrow"></td>
							<td class="emptyrow"></td>
							<td class="emptyrow text-right"><strong>Total Pago</strong></td>
							<td class="emptyrow text-right"><?php echo $_SESSION['cifraoMoeda']." ".$totalentrada ?></td>
						</tr>						
					</tbody>
				</table>
			</div>

		<?php 
		} else { ?>

			<div class='alert alert-warning alert-dismissable'>
				<button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
				Nenhum Pagamento de acúmulado foi encontrado! </div>
		<?php 
		} 
		?>

	</div>
                        <!-- /. Fatura -->

<?php 
} 
?>